org.apache.lucene.luke.models.search

## Class QueryParserConfig.Builder

- java.lang.Object
- - org.apache.lucene.luke.models.search.QueryParserConfig.Builder

- Enclosing class:
    QueryParserConfig

      public static class QueryParserConfig.Builder
      extends Object

  Builder for `QueryParserConfig`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryParserConfig.Builder` | `allowLeadingWildcard(boolean value)`
    `QueryParserConfig.Builder` | `autoGenerateMultiTermSynonymsPhraseQuery(boolean val)`
    `QueryParserConfig.Builder` | `autoGeneratePhraseQueries(boolean val)`
    `QueryParserConfig` | `build()`
    `QueryParserConfig.Builder` | `dateResolution(DateTools.Resolution value)`
    `QueryParserConfig.Builder` | `defaultOperator(QueryParserConfig.Operator op)`
    `QueryParserConfig.Builder` | `enablePositionIncrements(boolean value)`
    `QueryParserConfig.Builder` | `fuzzyMinSim(float val)`
    `QueryParserConfig.Builder` | `fuzzyPrefixLength(int val)`
    `QueryParserConfig.Builder` | `locale(Locale val)`
    `QueryParserConfig.Builder` | `phraseSlop(int val)`
    `QueryParserConfig.Builder` | `splitOnWhitespace(boolean val)`
    `QueryParserConfig.Builder` | `timeZone(TimeZone val)`
    `QueryParserConfig.Builder` | `typeMap(Map<String,Class<? extends Number>> val)`
    `QueryParserConfig.Builder` | `useClassicParser(boolean value)` Builder for `QueryParserConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### useClassicParser

          public QueryParserConfig.Builder useClassicParser(boolean value)

      Builder for `QueryParserConfig`

    - #### enablePositionIncrements

          public QueryParserConfig.Builder enablePositionIncrements(boolean value)

    - #### allowLeadingWildcard

          public QueryParserConfig.Builder allowLeadingWildcard(boolean value)

    - #### dateResolution

          public QueryParserConfig.Builder dateResolution(DateTools.Resolution value)

    - #### defaultOperator

          public QueryParserConfig.Builder defaultOperator(QueryParserConfig.Operator op)

    - #### fuzzyMinSim

          public QueryParserConfig.Builder fuzzyMinSim(float val)

    - #### fuzzyPrefixLength

          public QueryParserConfig.Builder fuzzyPrefixLength(int val)

    - #### locale

          public QueryParserConfig.Builder locale(Locale val)

    - #### timeZone

          public QueryParserConfig.Builder timeZone(TimeZone val)

    - #### phraseSlop

          public QueryParserConfig.Builder phraseSlop(int val)

    - #### autoGenerateMultiTermSynonymsPhraseQuery

          public QueryParserConfig.Builder autoGenerateMultiTermSynonymsPhraseQuery(boolean val)

    - #### autoGeneratePhraseQueries

          public QueryParserConfig.Builder autoGeneratePhraseQueries(boolean val)

    - #### splitOnWhitespace

          public QueryParserConfig.Builder splitOnWhitespace(boolean val)

    - #### typeMap

          public QueryParserConfig.Builder typeMap(Map<String,Class<? extends Number>> val)

    - #### build

          public QueryParserConfig build()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.